LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XUnoUrlResolver Interface Referencepublished

allows to resolve an object using the uno-url. More...

`import"XUnoUrlResolver.idl";`

Inheritance diagram for XUnoUrlResolver:

## Public Member Functions
com::sun::star::uno::XInterface | resolve ([in] string sUnoUrl) raises (com::sun::star::connection::NoConnectException, com::sun::star::connection::ConnectionSetupException, com::sun::star::lang::IllegalArgumentException)
| resolves an object using the given uno-url. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to resolve an object using the uno-url.

Developers Guide
  ProUNO - Java - Getting a Service Manager
  ProUNO - C++ - Establishing Interprocess Connections
  ProUNO - UNO Interprocess Connections

## Member Function Documentation

com::sun::star::uno::XInterface resolve | ( | [in] string | sUnoUrl | ) |
raises | ( | com::sun::star::connection::NoConnectException,
|  | com::sun::star::connection::ConnectionSetupException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

resolves an object using the given uno-url.

Parameters

  sUnoUrl | the uno-url. The uno-url is specified here.

Returns
  the resolved object, in general a proxy for a remote object. You can use it the same way as you use local references.

The documentation for this interface was generated from the following file:

- com/sun/star/bridge/XUnoUrlResolver.idl